%global momorel 6
%global moddir %{_libdir}/xorg/modules

Summary: Synaptics Touchpad Driver
Name: synaptics
Version: 0.14.6
Release: %{momorel}m%{?dist}
License: GPL
URL: http://web.telia.com/~u89404340/touchpad/
Group: User Interface/X Hardware Support
Source0: http://web.telia.com/~u89404340/touchpad/files/%{name}-%{version}.tar.bz2 
NoSource: 0
Source1: 10-%{name}.fdi
Patch0: %{name}_input_api.diff
# from Fedora
Patch10: %{name}-%{version}-delibcwrap.patch
Patch11: %{name}-%{version}-newx.patch
Patch12: %{name}-%{version}-tap-to-click.patch
Patch13: %{name}-%{version}-poll-delay.patch
Patch14: %{name}-%{version}-poll-200ms.patch
Patch15: %{name}-%{version}-alps.patch
Patch16: %{name}-%{version}-optflags-debuginfo.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hal
Requires: xorg-x11-server-Xorg
BuildRequires: libX11-devel
BuildRequires: libXi-devel
BuildRequires: libXext-devel
BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-devel
ExclusiveArch: %{ix86} x86_64 ppc

%description
This is a driver for the Synaptics TouchPad for XOrg/XFree86 4.x. A Synaptics
touchpad by default operates in compatibility mode by emulating a standard
mouse. However, by using a dedicated driver, more advanced features of the
touchpad becomes available.

Features:

    * Movement with adjustable, non-linear acceleration and speed.
    * Button events through short touching of the touchpad.
    * Double-Button events through double short touching of the touchpad.
    * Dragging through short touching and holding down the finger on the touchpad.
    * Middle and right button events on the upper and lower corner of the touchpad.
    * Vertical scrolling (button four and five events) through moving the finger on the right side of the touchpad.
    * The up/down button sends button four/five events.
    * Horizontal scrolling (button six and seven events) through moving the finger on the lower side of the touchpad.
    * The multi-buttons send button four/five events, and six/seven events for horizontal scrolling.
    * Adjustable finger detection.
    * Multifinger taps: two finger for middle button and three finger for right button events. (Needs hardware support. Not all models implement this feature.)
    * Run-time configuration using shared memory. This means you can change parameter settings without restarting the X server.

%prep
%setup -q

%patch10 -p1 -b .delibcwrap
%patch11 -p1 -b .newx
%patch12 -p1 -b .tap
%patch13 -p1 -b .polldelay
%patch14 -p1 -b .poll200ms
%patch15 -p1 -b .alps-settings
%patch16 -p1 -b .optflags-debuginfo

# remove included XFree86 headers
rm -rf Xincludes

%build
%make ARCH=%{_arch} synaptics_drv.so synclient syndaemon
# CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}

# install fdi file
mkdir -p %{buildroot}%{_datadir}/hal/fdi/policy/20thirdparty
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/hal/fdi/policy/20thirdparty/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COMPATIBILITY FILES INSTALL* LICENSE NEWS README* TODO
%{_bindir}/synclient
%{_bindir}/syndaemon
%{moddir}/input/synaptics_drv.so
%{_datadir}/hal/fdi/policy/20thirdparty/10-synaptics.fdi
%{_mandir}/man1/synclient.1*
%{_mandir}/man1/syndaemon.1*
%{_mandir}/man5/synaptics.5*

%changelog
* Wed May 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.14.6-6m)
- fix build on new X
- use hal
- import 7 patches from Fedora
- replace gentoo's input_api.diff to Fedora's newx.patch

* Sat May  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14.6-5m)
- change BPR xorg-x11-server-sdk to xorg-x11-server-devel

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14.6-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14.6-3m)
- %%NoSource -> NoSource

* Wed Sep 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.14.6-2m)
- import synaptics_input_api.diff from gentoo
 +- 09 Sep 2007; Stefan Schweizer <genstef@gentoo.org>
 +- +files/synaptics_input_api.diff, %{name}-%{version}.ebuild:
 +- Fix synaptics api for xorg-server-1.4 thanks to Geaaru <geaaru@gmail.com> in
 +- bug 191899

* Tue Mar 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.14.6-1m)
- initial package for Momonga Linux
